org.eclipse.emf.cdo.eresource.impl

## Class CDOResourceFolderImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
        - - org.eclipse.emf.internal.cdo.CDOObjectImpl
          - - org.eclipse.emf.cdo.eresource.impl.CDOResourceNodeImpl
            - - org.eclipse.emf.cdo.eresource.impl.CDOResourceFolderImpl

- All Implemented Interfaces:
    CDOObject, CDOWithID, CDOPackageTypeRegistry.CDOObjectMarker, CDOResourceFolder, CDOResourceNode, Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, InternalCDOLoadable, InternalCDOObject

      public class CDOResourceFolderImpl
      extends CDOResourceNodeImpl
      implements CDOResourceFolder

  An implementation of the model object 'CDO Resource Folder'.
  Since:
    2.0
  Generated
  No Extend
    This interface is not intended to be extended by clients.

    The following features are implemented:

    - `Nodes`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `ROOT_NAME, ROOT_PATH`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CDOResourceFolderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBinaryResource` | `addBinaryResource(java.lang.String name)`
    `CDOResource` | `addResource(java.lang.String name)`
    `CDOResourceFolder` | `addResourceFolder(java.lang.String name)`
    `CDOTextResource` | `addTextResource(java.lang.String name)`
    `protected EList<?>` | `createList(EStructuralFeature eStructuralFeature)`
    `void` | `delete(java.util.Map<?,?> options)`
    `protected EClass` | `eStaticClass()`
    `CDOResourceNode` | `getNode(java.lang.String name)`
    `EList<CDOResourceNode>` | `getNodes()`
    `boolean` | `isRoot()`
    `void` | `recacheURIs()`

    - ### Methods inherited from class org.eclipse.emf.cdo.eresource.impl.CDOResourceNodeImpl

      `basicSetFolder, basicSetName, checkDuplicates, eGet, eSet, eStaticFeatureCount, getBasename, getExtension, getFolder, getName, getPath, getURI, setBasename, setExtension, setFolder, setFolderGen, setName, setNameGen, setPath, toString, toString, trimExtension`

    - ### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

      `cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

      `eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `getBasename, getExtension, getFolder, getName, getPath, getURI, setBasename, setExtension, setFolder, setName, setPath, trimExtension`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eUnset, eURIFragmentSegment`

- - ### Constructor Detail

    - #### CDOResourceFolderImpl

          protected CDOResourceFolderImpl()

      Generated

  - ### Method Detail

    - #### isRoot

          public boolean isRoot()

      Specified by:
        `isRoot` in interface `CDOResourceNode`
      Added

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `CDOResourceNodeImpl`
      Generated

    - #### recacheURIs

          public void recacheURIs()

      Overrides:
        `recacheURIs` in class `CDOResourceNodeImpl`
      Since:
        4.5

    - #### createList

          protected EList<?> createList(EStructuralFeature eStructuralFeature)
                                 throws CDODuplicateResourceException

      Overrides:
        `createList` in class `CDOObjectImpl`
      Throws:
        `CDODuplicateResourceException`

    - #### getNodes

          public EList<CDOResourceNode> getNodes()

      Specified by:
        `getNodes` in interface `CDOResourceFolder`
      Returns:
        the value of the 'Nodes' containment reference list.
      See Also:
        `EresourcePackage.getCDOResourceFolder_Nodes()`, `CDOResourceNode.getFolder()`
      Generated

    - #### getNode

          public CDOResourceNode getNode(java.lang.String name)

      Specified by:
        `getNode` in interface `CDOResourceFolder`
      Since:
        4.4
      Added

    - #### addResourceFolder

          public CDOResourceFolder addResourceFolder(java.lang.String name)

      Specified by:
        `addResourceFolder` in interface `CDOResourceFolder`
      Since:
        4.0
      Generated
        NOT

    - #### addResource

          public CDOResource addResource(java.lang.String name)

      Specified by:
        `addResource` in interface `CDOResourceFolder`
      Since:
        4.0
      Generated
        NOT

    - #### addTextResource

          public CDOTextResource addTextResource(java.lang.String name)

      Specified by:
        `addTextResource` in interface `CDOResourceFolder`
      Since:
        4.2
      Generated

    - #### addBinaryResource

          public CDOBinaryResource addBinaryResource(java.lang.String name)

      Specified by:
        `addBinaryResource` in interface `CDOResourceFolder`
      Since:
        4.2
      Generated

    - #### delete

          public void delete(java.util.Map<?,?> options)
                      throws java.io.IOException

      Specified by:
        `delete` in interface `CDOResourceNode`
      Throws:
        `java.io.IOException`
      Added

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html